# Hackers

Hackers is an iPhone app for reading Hacker News on the go. It's optimised for quickly catching up on the latest news and comments without getting in your way.

## Features

* Comments replies are collapsed, leaving you to decide whether you want to read the replies without them getting in the way.
* Remembers which posts you've read.
* Read top news, new news, or Ask HN.
* Instapaper mobilizer support.
* Save links to Instapaper and Pinboard
* Dark and light themes

## Open Source

Hackers is open source and licenced under the MIT licence. Feel free to build and install it on your own iPhone. If you'd like to support me, the developer, you can buy Hackers in the app store for $1.99 (£1.49).

[![Buy in App Store][2]][1]

[1]: https://itunes.apple.com/gb/app/hackers-hacker-news-reading/id603503901?at=11l4G8&ct=github
[2]: http://i.imgur.com/oRdf2WM.png

## Links

* I wrote [a blog post introducing Hackers](http://weiranzhang.com/blog/2013/3/hackers-a-hacker-news-app-for-iphone). 
* You can follow [Hackers' progress on my blogs tagged Hackers](http://weiranzhang.com/?tag=hackers).
* You can also get in touch via Twitter: [@weiran](https://twitter.com/weiran).

## How to build

1. Install [cocoapods](http://cocoapods.org/), you can use RubyGems: `gem install cocoapods`.
2. Install pods, in the project root folder, run `pod install`.
3. Open the workspace file (`Hackers.xcworkspace`) in Xcode 4.6.3 or later, and build.

## About

Hackers is an open source project by [Weiran Zhang](http://weiranzhang.com) licensed under the [MIT license](http://opensource.org/licenses/MIT).

## Credit

I use several open source projects in Hackers, in no particular order:

* [node-hnapi](https://github.com/cheeaun/node-hnapi/) by cheeaun
* [AFNetworking](https://github.com/AFNetworking/AFNetworking) by Mattt
* [DTCoreText](https://github.com/Cocoanetics/DTCoreText) by Cocoanetics
* [OHAttributedLabel](https://github.com/AliSoftware/OHAttributedLabel) by AliSoftware
* [OHAlertView](https://github.com/AliSoftware/OHAlertView) by AliSoftware
* [GCOLaunchImageTransition](https://github.com/gonecoding/GCOLaunchImageTransition) by gonecoding
* [MBProgressHUD](https://github.com/jdg/MBProgressHUD) by Jonathan George
* [InAppSettingsKit](https://github.com/futuretap/InAppSettingsKit) by FutureTap
* [SSKeychain](https://github.com/soffes/sskeychain) by Sam Soffes
* [NNNetwork](https://github.com/tomazsh/NNNetwork) by Tomaz Nedeljko
* [ARChromeActivity](https://github.com/alextrob/ARChromeActivity) by Alex Robinson
* [CocoaPods](https://github.com/CocoaPods/CocoaPods)
